BrlAPI 0.8

Data Fields
brlapi_describedKeyCode_t Struct Reference
Reading key presses

`#include <brlapi.h>`

## Data Fields
const char * | type
const char * | command
unsigned int | argument
unsigned int | flags
const char * | flag [64 - BRLAPI_KEY_FLAGS_SHIFT]
brlapi_expandedKeyCode_t | values

## Detailed Description

Structure holding the components of a key code as returned by brlapi_describeKeyCode()

## Field Documentation

## ◆ argument

unsigned int brlapi_describedKeyCode_t::argument

the argument value

## ◆ command

const char* brlapi_describedKeyCode_t::command

the command name

## ◆ flag

const char* brlapi_describedKeyCode_t::flag[64 - BRLAPI_KEY_FLAGS_SHIFT]

the flag names

## ◆ flags

unsigned int brlapi_describedKeyCode_t::flags

the flag count

## ◆ type

const char* brlapi_describedKeyCode_t::type

the type name

## ◆ values

brlapi_expandedKeyCode_t brlapi_describedKeyCode_t::values

the actual values of the components

The documentation for this struct was generated from the following file:

- brlapi.h